---
title: RTCIceCandidatePairStats.responsesReceived
slug: Web/API/RTCIceCandidatePairStats/responsesReceived
tags:
  - API
  - Connectivity
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Received
  - Reference
  - Responses
  - STUN
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - responsesReceived
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The <code><strong>responsesReceived</strong></code> property in the {{domxref("RTCIceCandidatePairStats")}} dictionary indicates the total number of {{Glossary("STUN")}} connectivity check responses that have been received on the connection described by this pair of candidates.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>responsesReceived</em> = <em>rtcIceCandidatePairStats</em>.responsesReceived;</pre>

<h3 id="Value">Value</h3>

<p>An integer value which specifies the number of STUN connectivity request responses that have been received on the connection described by this pair of candidates so far.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-responsesreceived', 'RTCIceCandidatePairStats.responsesReceived') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.responsesReceived")}}</p>
